View Issue Details

IDProjectCategoryView StatusLast Update
0027787LazarusTAChartpublic2015-04-23 17:54
ReporterValdas JankūnasAssigned Towp 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSOS Version
Product Version1.5 (SVN)Product Build48395 
Target VersionFixed in Version1.6 
Summary0027787: ParentColor in TChart not preserved
DescriptionProperty "ParentColor" of TChart is not stored in to *.lfm.
Steps To Reproduce - set ParentColor of TChart to TRUE
 - reload project

Result: ParentColor is set to FALSE
TagsNo tags attached.
Fixed in Revision48824
LazTarget-
Widgetset
Attached Files
  • Graph.patch (457 bytes)
    Index: components/tachart/tagraph.pas
    ===================================================================
    --- components/tachart/tagraph.pas	(revision 48633)
    +++ components/tachart/tagraph.pas	(working copy)
    @@ -426,7 +426,7 @@
         property DragMode;
         property Enabled;
         property ParentBiDiMode;
    -    property ParentColor;
    +    property ParentColor default False;
         property ParentShowHint;
         property PopupMenu;
         property ShowHint;
    
    Graph.patch (457 bytes)

Activities

Balázs Székely

2015-04-05 17:17

developer  

Graph.patch (457 bytes)
Index: components/tachart/tagraph.pas
===================================================================
--- components/tachart/tagraph.pas	(revision 48633)
+++ components/tachart/tagraph.pas	(working copy)
@@ -426,7 +426,7 @@
     property DragMode;
     property Enabled;
     property ParentBiDiMode;
-    property ParentColor;
+    property ParentColor default False;
     property ParentShowHint;
     property PopupMenu;
     property ShowHint;
Graph.patch (457 bytes)

wp

2015-04-23 15:47

developer   ~0083140

Thanks for reporting. Fixed in r48824.

Could somebody please move this issue to category TAChart or resolve it as fixed, I don't have write access to category Packages.

Maxim Ganetsky

2015-04-23 17:10

developer   ~0083141

Moved and resolved.

Issue History

Date Modified Username Field Change
2015-04-05 12:14 Valdas Jankūnas New Issue
2015-04-05 17:17 Balázs Székely File Added: Graph.patch
2015-04-05 18:35 Bart Broersma Project Lazarus => Patches
2015-04-05 18:35 Bart Broersma Category TAChart => General
2015-04-21 17:49 Juha Manninen LazTarget => -
2015-04-21 17:49 Juha Manninen Category General => Packages
2015-04-21 17:49 Juha Manninen Summary ParentColor not preserved => ParentColor in TChart not preserved
2015-04-23 15:47 wp Note Added: 0083140
2015-04-23 17:08 Maxim Ganetsky Project Patches => Lazarus
2015-04-23 17:08 Maxim Ganetsky Category Packages => TAChart
2015-04-23 17:10 Maxim Ganetsky Fixed in Revision => 48824
2015-04-23 17:10 Maxim Ganetsky Note Added: 0083141
2015-04-23 17:10 Maxim Ganetsky Status new => resolved
2015-04-23 17:10 Maxim Ganetsky Fixed in Version => 1.6
2015-04-23 17:10 Maxim Ganetsky Resolution open => fixed
2015-04-23 17:10 Maxim Ganetsky Assigned To => wp
2015-04-23 17:54 Valdas Jankūnas Status resolved => closed